/*!***********************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************!*\
  !*** css ./node_modules/css-loader/dist/cjs.js??ruleSet[1].rules[5].rules[0].oneOf[0].use[1]!./node_modules/postcss-loader/dist/cjs.js??ruleSet[1].rules[5].rules[0].oneOf[0].use[2]!./node_modules/resolve-url-loader/index.js??ruleSet[1].rules[5].rules[1].use[0]!./node_modules/sass-loader/dist/cjs.js??ruleSet[1].rules[5].rules[1].use[1]!./src/styles.scss?ngGlobalStyle ***!
  \***********************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************/
@charset "UTF-8";
/* You can add global styles to this file, and also import other style files */
/* stylelint-disable color-no-hex */
:root {
  --base-turquoise-teal-color-hex: #00657f;
}

[data-theme=light] {
  --base-text-color-hex: #072f56;
  --base-text-color-rgb: 7 47 86;
  --base-background-color-rgb: 244 244 244;
  --base-background-color-hex: #f2f2f7;
}

[data-theme=dark] {
  --base-text-color-hex: #f5fffe;
  --base-text-color-rgb: 245 255 254;
  --base-background-color-rgb: 7 47 86;
  --base-background-color-hex: #072f56;
}

.color-base-text {
  color: var(--base-text-color-hex);
}

.color-base-text-light {
  color: rgba(var(--base-text-color-rgb)/60%);
}

.color-red-velvet {
  color: #d44430;
}

@media (hover: hover) {
  .color-hover-red-velvet:hover {
    color: #d44430;
  }
}

.color-turquoise-teal {
  color: #00657f;
}

/* container */
.flex {
  display: flex;
  /* wrap */
}
.flex.nowrap {
  flex-wrap: nowrap;
}
.flex.wrap {
  flex-wrap: wrap;
}
.flex.wrap-reverse {
  flex-wrap: wrap;
}
.flex--inline {
  display: inline-flex;
}

.flex-1 {
  flex: 1;
}

.flex-2 {
  flex: 2;
}

.flex-3 {
  flex: 3;
}

.flex-4 {
  flex: 4;
}

.flex-5 {
  flex: 5;
}

.flex-6 {
  flex: 6;
}

.flex-7 {
  flex: 7;
}

.flex-8 {
  flex: 8;
}

.flex-9 {
  flex: 9;
}

.flex-10 {
  flex: 10;
}

.flex-11 {
  flex: 11;
}

.flex-12 {
  flex: 12;
}

.flex-13 {
  flex: 13;
}

.flex-14 {
  flex: 14;
}

/* direction */
.flex-col {
  flex-direction: column;
}

.flex-row {
  flex-direction: row;
}

.flex-col-r {
  flex-direction: column-reverse;
}

.flex-row-r {
  flex-direction: row-reverse;
}

/* main axis */
.justify-start {
  justify-content: flex-start;
}

.justify-end {
  justify-content: flex-end;
}

.justify-center {
  justify-content: center;
}

.justify-between {
  justify-content: space-between;
}

.justify-around {
  justify-content: space-around;
}

.justify-evenly {
  justify-content: space-evenly;
}

/* cross axis */
.align-start {
  align-items: flex-start;
}

.align-end {
  align-items: flex-end;
}

.align-center {
  align-items: center;
}

.align-baseline {
  align-items: baseline;
}

.align-stretch {
  align-items: stretch;
}

/* self cross axis */
.align-s-start {
  align-self: start;
}

.align-s-center {
  align-self: center;
}

.align-s-end {
  align-self: end;
}

/* grow/shrink */
.flex-grow {
  flex-grow: 1;
}

.flex-shrink-1 {
  flex-shrink: 1;
}

.flex-shrink-0 {
  flex-shrink: 0;
}

.gap-2xs {
  gap: 4px;
}

.gap-xs {
  gap: 8px;
}

.gap-s {
  gap: 16px;
}

.gap-m {
  gap: 24px;
}

.gap-l {
  gap: 32px;
}

@keyframes wave-invert {
  0% {
    transform: scaleX(-1) rotate(0deg);
  }
  10% {
    transform: scaleX(-1) rotate(16deg);
  }
  20% {
    transform: scaleX(-1) rotate(-6deg);
  }
  30% {
    transform: scaleX(-1) rotate(16deg);
  }
  40% {
    transform: scaleX(-1) rotate(-4deg);
  }
  50% {
    transform: scaleX(-1) rotate(16deg);
  }
  60% {
    transform: scaleX(-1) rotate(0deg);
  }
  100% {
    transform: scaleX(-1) rotate(0deg);
  }
}
.anim--wave-invert {
  animation-name: wave-invert;
  animation-timing-function: ease-in-out;
}

article,
aside,
details,
figcaption,
figure,
footer,
header,
hgroup,
nav,
section,
summary {
  display: block;
}

audio,
canvas,
video {
  display: inline-block;
}

audio:not([controls]) {
  display: none;
  height: 0;
}

[hidden],
template {
  display: none;
}

html {
  background: white;
  color: black;
  -webkit-text-size-adjust: 100%;
          text-size-adjust: 100%;
}

html,
button,
input,
select,
textarea {
  font-family: sans-serif;
}

body {
  margin: 0;
}

a {
  background: transparent;
}
a:focus {
  outline: thin dotted;
}
a:hover, a:active {
  outline: 0;
}

h1 {
  font-size: 2em;
  margin: 0.67em 0;
}

h2 {
  font-size: 1.5em;
  margin: 0.83em 0;
}

h3 {
  font-size: 1.17em;
  margin: 1em 0;
}

h4 {
  font-size: 1em;
  margin: 1.33em 0;
}

h5 {
  font-size: 0.83em;
  margin: 1.67em 0;
}

h6 {
  font-size: 0.75em;
  margin: 2.33em 0;
}

abbr[title] {
  border-bottom: 1px dotted;
}

b,
strong {
  font-weight: bold;
}

dfn {
  font-style: italic;
}

mark {
  background: yellow;
  color: black;
}

code,
kbd,
pre,
samp {
  font-family: monospace, serif;
  font-size: 1em;
}

pre {
  white-space: pre;
  white-space: pre-wrap;
  word-wrap: break-word;
}

q {
  quotes: "“" "”" "‘" "’";
}
q::before, q::after {
  content: "";
  content: none;
}

small {
  font-size: 80%;
}

sub,
sup {
  font-size: 75%;
  line-height: 0;
  position: relative;
  vertical-align: baseline;
}

sup {
  top: -0.5em;
}

sub {
  bottom: -0.25em;
}

img {
  border: 0;
}

svg:not(:root) {
  overflow: hidden;
}

figure {
  margin: 0;
}

fieldset {
  border: 1px solid lightgray;
  margin: 0 2px;
  padding: 0.35em 0.625em 0.75em;
}

legend {
  border: 0;
  padding: 0;
  white-space: normal;
}

button,
input,
select,
textarea {
  font-family: inherit;
  font-size: 100%;
  margin: 0;
  vertical-align: baseline;
}

button,
input {
  line-height: normal;
}

button,
select {
  text-transform: none;
}

button,
html input[type=button],
input[type=reset],
input[type=submit] {
  appearance: button;
  cursor: pointer;
}

button[disabled],
input[disabled] {
  cursor: default;
}

/* stylelint-disable-next-line no-duplicate-selectors */
button::-moz-focus-inner,
input::-moz-focus-inner {
  border: 0;
  padding: 0;
}

textarea {
  overflow: auto;
  vertical-align: top;
}

table {
  border-collapse: collapse;
  border-spacing: 0;
}

input[type=search] {
  appearance: textfield;
  box-sizing: content-box;
}
input[type=search]::-webkit-search-cancel-button, input[type=search]::-webkit-search-decoration {
  appearance: none;
}
input[type=checkbox], input[type=radio] {
  box-sizing: border-box;
  padding: 0;
}
input[type=number]::-webkit-outer-spin-button, input[type=number]::-webkit-inner-spin-button {
  appearance: none !important;
  margin: 0 !important;
}
input[type=number] {
  appearance: textfield !important;
}

* {
  margin: 0;
  padding: 0;
  outline: 0;
  font-variant-ligatures: none;
  -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
  -webkit-tap-highlight-color: transparent;
  box-sizing: border-box;
}
* ::selection {
  color: white;
  background-color: #0fbc87;
}

html,
body {
  width: 100%;
  height: 100%;
}

html {
  -moz-osx-font-smoothing: grayscale;
  -webkit-font-smoothing: antialiased;
}

body {
  color: var(--base-text-color-hex);
  font-family: Poppins, sans-serif;
  font-size: 14px;
  font-weight: 500;
  line-height: 1.25;
  letter-spacing: -0.2px;
}

a {
  color: #0fbc87;
  text-decoration: none;
}
a:hover {
  color: #00657f;
}

ul,
ol {
  list-style-type: none;
}

.button-flat {
  border: none;
  outline: 0;
  background-color: transparent;
  line-height: inherit;
  font-size: inherit;
}

[flInfiniteScroll] {
  height: 100%;
  width: 100%;
  overflow: scroll;
}

.container {
  width: calc(100% - 32px);
  max-width: 1464px;
  display: flex;
  flex-wrap: wrap;
  justify-content: flex-start;
  align-items: stretch;
  margin: 0 auto;
}
@media all and (min-width: 768px) {
  .container {
    width: calc(100% - 64px);
  }
}
.container--fluid {
  width: 100%;
  max-width: none;
}

.full-width {
  width: 100%;
}

/* Extra small devices (portrait phones) / Phones less than 576px */
@media all and (max-width: 575px) {
  .d-xs-block {
    display: block !important;
  }
  .d-xs-none {
    display: none !important;
  }
}
/* Small devices (landscape phones) / Phones between 576px and 767px */
@media all and (min-width: 576px) and (max-width: 768px-1) {
  .d-sm-block {
    display: block !important;
  }
  .d-sm-none {
    display: none !important;
  }
}
/* Medium devices (tablets) / Tablets between 768px and 991px */
@media all and (min-width: 768px) and (max-width: 991px) {
  .d-md-block {
    display: block !important;
  }
  .d-md-none {
    display: none !important;
  }
}
/* Large devices (desktops) / Desktops between 992px and 1279px */
@media all and (min-width: 992px) and (max-width: 1279px) {
  .d-lg-block {
    display: block !important;
  }
  .d-lg-none {
    display: none !important;
  }
}
/* Extra large devices (large desktops) / Large desktops, 1280px and up */
@media all and (min-width: 1280px) {
  .d-xl-block {
    display: block !important;
  }
  .d-xl-none {
    display: none !important;
  }
}
.space-2xs {
  padding: 4px;
}

.space-0-2xs {
  padding: 0 4px;
}

.space-2xs-0 {
  padding: 4px 0;
}

.space-xs {
  padding: 8px;
}

.space-0-xs {
  padding: 0 8px;
}

.space-xs-0 {
  padding: 8px 0;
}

.space-s {
  padding: 16px;
}

.space-0-s {
  padding: 0 16px;
}

.space-s-0 {
  padding: 16px 0;
}

.space-m {
  padding: 24px;
}

.space-0-m {
  padding: 0 24px;
}

.space-m-0 {
  padding: 24px 0;
}

.space-l {
  padding: 32px;
}

.space-0-l {
  padding: 0 32px;
}

.space-l-0 {
  padding: 32px 0;
}

.margin-l-auto {
  margin-left: auto;
}

.margin-r-auto {
  margin-right: auto;
}

.fl-text-base {
  color: var(--base-text-color-hex);
  line-height: 1.4;
  margin: 0;
}

.f-weight--300 {
  font-weight: 300;
}
.f-weight--400 {
  font-weight: 400;
}
.f-weight--600 {
  font-weight: 600;
}
.f-weight--800 {
  font-weight: 800;
}

.f-size--xl {
  font-size: 3.14rem;
}
.f-size--l {
  font-size: 2.42rem;
}
.f-size--m {
  font-size: 1.71rem;
}
.f-size--s {
  font-size: 1.35rem;
}
.f-size--xs {
  font-size: 1.18rem;
}
.f-size--2xs {
  font-size: 0.9rem;
}

.f-monospace {
  font-family: monospace;
}

.f-lh--1 {
  line-height: 1;
}
.f-lh--s {
  line-height: 16px;
}

.t-align-c {
  text-align: center;
}

.t-align-l {
  text-align: left;
}

.t-align-r {
  text-align: right;
}

.icon {
  --icon-circle-background-color: rgba(var(--base-text-color-rgb) / 6%);
  font-size: inherit;
  flex-shrink: 0;
}
.icon--light {
  font-weight: 300;
}
.icon--bold {
  font-weight: 600;
}
.icon--size-xs {
  font-size: 8px;
}
.icon--size-s {
  font-size: 16px;
}
.icon--size-m {
  font-size: 24px;
}
.icon--size-l {
  font-size: 32px;
}
.icon--size-xl {
  font-size: 48px;
}
.icon--circle {
  border-radius: 50%;
  padding: 2%;
  border: 1px solid rgba(0, 0, 0, 0.1);
  background-color: var(--icon-circle-background-color);
}

.fl-card {
  border-radius: 16px;
  padding: 16px;
  background-color: var(--fl-card-background-color-rgba);
  border: 1px solid rgba(0, 0, 0, 0.05);
  word-wrap: break-word;
}
@media only screen and (min-width: 992px) {
  .fl-card {
    padding: 24px;
  }
}

[data-theme=light] .fl-card {
  --fl-card-background-color-rgba: rgba(255 255 255 / 100%);
}

[data-theme=dark] .fl-card {
  --fl-card-background-color-rgba: rgba(255 255 255 / 5%);
}

.border--full {
  border: 1px solid;
}
.border--left {
  border-left: 1px solid;
}
.border--right {
  border-right: 1px solid;
}
.border--top {
  border-top: 1px solid;
}
.border--bottom {
  border-bottom: 1px solid;
}
.border--light {
  border-color: rgba(var(--base-text-color-rgb)/16%);
}
.border--transparent {
  border-color: transparent;
}
.border--dashed {
  border-style: dashed;
}
